global:
  scrape_interval: 15s
  evaluation_interval: 15s

scrape_configs:
  - job_name: prometheus
    static_configs:
      - targets:
          - prometheus:9090

  - job_name: iop-control-plane
    metrics_path: /metrics
    static_configs:
      - targets:
          - control-plane:9093
        labels:
          component: control-plane

  - job_name: iop-edge-native
    metrics_path: /metrics
    static_configs:
      - targets:
          - host.docker.internal:19101
        labels:
          component: edge
          runtime: native-dev
